<?php get_header(); ?>
<div id="content">
<?php if (have_posts()) : ?>
	<?php while (have_posts()) : the_post(); ?>
		
        <div class="entry">
		<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
		<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Постоянная ссылка: <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
		<p class="posted"><?php the_time('l, d M Y') ?></p>
		<?php the_content('Читать полностью &raquo;'); ?>
		<p><?php the_tags('Метки: ', ', '); ?> |  Рубрики: <?php the_category(', ') ?> | <?php edit_post_link('Править', '', ' | '); ?>  <?php comments_popup_link('Ваш отзыв &#187;', '1 отзыв &#187;', 'Отзывов (%) &#187;'); ?></p>
		</div>
		</div>
	<?php endwhile; ?>

	<div class="navigation">
		<p class="alignleft"><?php next_posts_link('&laquo; Предыдущая страница') ?></p>
		<p class="alignright"><?php previous_posts_link('Следующая страница &raquo;') ?></p>
	</div>

<?php else : ?>

	<h2>Не найдено</h2>
	<p>К сожалению, по вашему запросу ничего не найдено.</p>
	<?php get_search_form(); ?>

<?php endif; ?>

</div>	

<div id="sidebar"><?php get_sidebar(); ?></div>

<?php get_footer(); ?>
